Favicon

You are here: Home > API Reference > Workspace > Audit > Get list of audit

Get list of audit

Required Permission: base.organization.audit.list

Get list of audit

GET
/v1/organizations/:organizationId/audit/
Copy to clipboard

Get list of audit

Required Permission: base.organization.audit.list

Get list of audit

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
dateIni string
optional
Format: date-time
dateEnd string
optional
Format: date-time
entity string
optional
≤ 128 characters
userId string
optional
≤ 128 characters
userEmail string
optional
≤ 128 characters
action string
optional
≤ 128 characters
entityId string
optional
≤ 128 characters
organization string
optional
Match pattern: ^[a-fA-F0-9]{24}$
showSystem boolean
optional

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
id string optional
≤ 128 characters
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
organizationInfo object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 128 characters
slug string optional
≤ 128 characters · ≥ 3 characters · Match pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]$
store object optional
customDomain string optional
≤ 256 characters
branding object optional
logo string optional
≤ 256 characters
picture string optional
primaryColor string optional
Match pattern: ^#[a-zA-Z0-9]{6}$
configuration object optional
storageProvider string optional
Match pattern: ^[a-fA-F0-9]{24}$
createdBy string optional
Match pattern: ^[a-fA-F0-9]{24}$
userId string optional
userEmail string optional
action string optional
entity string optional
entityId string optional
pre string optional
post string optional
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
diff array [object] optional
kind string optional
path array [string] optional
rhs any optional
lhs any optional
summary object optional
totalDocs integer optional
limit integer optional
hasPrevPage boolean optional
hasNextPage boolean optional
page integer optional
totalPages integer optional
prevPage integer optional
nextPage integer optional
lean boolean optional
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organization": "string",
                "organizationInfo": {
                    "id": "string",
                    "name": "string",
                    "slug": "string",
                    "store": {
                        "customDomain": "string"
                    },
                    "branding": {
                        "logo": "string",
                        "picture": "string",
                        "primaryColor": "string"
                    },
                    "configuration": {
                        "storageProvider": "string"
                    },
                    "createdBy": "string"
                },
                "userId": "string",
                "userEmail": "string",
                "action": "string",
                "entity": "string",
                "entityId": "string",
                "pre": "string",
                "post": "string",
                "updatedAt": "2024-01-01T00: 00:00Z",
                "createdAt": "2024-01-01T00: 00:00Z",
                "diff": [
                    {
                        "kind": "string",
                        "path": [
                            "string"
                        ],
                        "rhs": "string",
                        "lhs": "string"
                    }
                ],
                "summary": {}
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0,
        "lean": true
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}